| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Attributes | List of all members
LSConfiguration Struct Reference

`#include <LicenseSpring/C-interface/Configuration.h>`

## Public Attributes
void * | inner
const char *(* | getApiKey )(struct LSConfiguration *self)
const char *(* | getSharedKey )(struct LSConfiguration *self)
const char *(* | getProductCode )(struct LSConfiguration *self)
const char *(* | getAppName )(struct LSConfiguration *self)
const char *(* | getAppVersion )(struct LSConfiguration *self)
const char *(* | getCustomerAccount )(struct LSConfiguration *self)
const char *(* | getUserInfo )(struct LSConfiguration *self)
void(* | setCustomerAccount )(struct LSConfiguration *self, const char *accountCode)
void(* | setUserInfo )(struct LSConfiguration *self, const char *customInfo)
const wchar_t *(* | getLicenseFilePath )(struct LSConfiguration *self)
const char *(* | getAlternateServiceUrl )(struct LSConfiguration *self)
const char *(* | getAlternateKey )(struct LSConfiguration *self)
const char *(* | getHardwareID )(struct LSConfiguration *self)
bool(* | isCollectNetworkInfoEnabled )(struct LSConfiguration *self)
bool(* | isLoggingEnabled )(struct LSConfiguration *self)
bool(* | isGuardFileEnabled )(struct LSConfiguration *self)
bool(* | isSSLCheckEnabled )(struct LSConfiguration *self)
bool(* | isNativeTLSEnabled )(struct LSConfiguration *self)
uint32_t(* | getGracePeriod )(struct LSConfiguration *self)
long(* | getNetworkTimeout )(struct LSConfiguration *self)
void(* | setNetworkTimeout )(struct LSConfiguration *self, long timeoutValue)
const LSProxySettings *(* | getProxySettings )(struct LSConfiguration *self)
unsigned long(* | getLicenseSpringAPIVersion )(struct LSConfiguration *self)
const char *(* | getSdkVersion )(struct LSConfiguration *self)
const char *(* | getAirGapPublicKey )(struct LSConfiguration *self)
void(* | setAirGapPublicKey )(struct LSConfiguration *self, const char *airGapKey)
const char *(* | getOsVersion )(struct LSConfiguration *self)
const char *(* | getHostName )(struct LSConfiguration *self)
const char *(* | getIP )(struct LSConfiguration *self)
const char *(* | getMAC )(struct LSConfiguration *self)
bool(* | isVMDetectionEnabled )(struct LSConfiguration *self)
bool(* | isVM )(struct LSConfiguration *self)
const char *(* | getDetectedVMName )(struct LSConfiguration *self)

## Detailed Description

Definition at line 10 of file Configuration.h.

## Member Data Documentation

## ◆ inner

void* LSConfiguration::inner

Definition at line 12 of file Configuration.h.

## ◆ getApiKey

const char *(* LSConfiguration::getApiKey) (struct LSConfiguration *self)

Definition at line 14 of file Configuration.h.

## ◆ getSharedKey

const char *(* LSConfiguration::getSharedKey) (struct LSConfiguration *self)

Definition at line 16 of file Configuration.h.

## ◆ getProductCode

const char *(* LSConfiguration::getProductCode) (struct LSConfiguration *self)

Definition at line 18 of file Configuration.h.

## ◆ getAppName

const char *(* LSConfiguration::getAppName) (struct LSConfiguration *self)

Definition at line 20 of file Configuration.h.

## ◆ getAppVersion

const char *(* LSConfiguration::getAppVersion) (struct LSConfiguration *self)

Definition at line 22 of file Configuration.h.

## ◆ getCustomerAccount

const char *(* LSConfiguration::getCustomerAccount) (struct LSConfiguration *self)

Definition at line 24 of file Configuration.h.

## ◆ getUserInfo

const char *(* LSConfiguration::getUserInfo) (struct LSConfiguration *self)

Definition at line 26 of file Configuration.h.

## ◆ setCustomerAccount

void(* LSConfiguration::setCustomerAccount) (struct LSConfiguration *self, const char *accountCode)

Definition at line 28 of file Configuration.h.

## ◆ setUserInfo

void(* LSConfiguration::setUserInfo) (struct LSConfiguration *self, const char *customInfo)

Definition at line 30 of file Configuration.h.

## ◆ getLicenseFilePath

const wchar_t *(* LSConfiguration::getLicenseFilePath) (struct LSConfiguration *self)

Definition at line 32 of file Configuration.h.

## ◆ getAlternateServiceUrl

const char *(* LSConfiguration::getAlternateServiceUrl) (struct LSConfiguration *self)

Definition at line 34 of file Configuration.h.

## ◆ getAlternateKey

const char *(* LSConfiguration::getAlternateKey) (struct LSConfiguration *self)

Definition at line 36 of file Configuration.h.

## ◆ getHardwareID

const char *(* LSConfiguration::getHardwareID) (struct LSConfiguration *self)

Definition at line 38 of file Configuration.h.

## ◆ isCollectNetworkInfoEnabled

bool(* LSConfiguration::isCollectNetworkInfoEnabled) (struct LSConfiguration *self)

Definition at line 40 of file Configuration.h.

## ◆ isLoggingEnabled

bool(* LSConfiguration::isLoggingEnabled) (struct LSConfiguration *self)

Definition at line 42 of file Configuration.h.

## ◆ isGuardFileEnabled

bool(* LSConfiguration::isGuardFileEnabled) (struct LSConfiguration *self)

Definition at line 44 of file Configuration.h.

## ◆ isSSLCheckEnabled

bool(* LSConfiguration::isSSLCheckEnabled) (struct LSConfiguration *self)

Definition at line 46 of file Configuration.h.

## ◆ isNativeTLSEnabled

bool(* LSConfiguration::isNativeTLSEnabled) (struct LSConfiguration *self)

Definition at line 48 of file Configuration.h.

## ◆ getGracePeriod

uint32_t(* LSConfiguration::getGracePeriod) (struct LSConfiguration *self)

Definition at line 50 of file Configuration.h.

## ◆ getNetworkTimeout

long(* LSConfiguration::getNetworkTimeout) (struct LSConfiguration *self)

Definition at line 52 of file Configuration.h.

## ◆ setNetworkTimeout

void(* LSConfiguration::setNetworkTimeout) (struct LSConfiguration *self, long timeoutValue)

Definition at line 54 of file Configuration.h.

## ◆ getProxySettings

const LSProxySettings *(* LSConfiguration::getProxySettings) (struct LSConfiguration *self)

Definition at line 56 of file Configuration.h.

## ◆ getLicenseSpringAPIVersion

unsigned long(* LSConfiguration::getLicenseSpringAPIVersion) (struct LSConfiguration *self)

Definition at line 58 of file Configuration.h.

## ◆ getSdkVersion

const char *(* LSConfiguration::getSdkVersion) (struct LSConfiguration *self)

Definition at line 60 of file Configuration.h.

## ◆ getAirGapPublicKey

const char *(* LSConfiguration::getAirGapPublicKey) (struct LSConfiguration *self)

Definition at line 62 of file Configuration.h.

## ◆ setAirGapPublicKey

void(* LSConfiguration::setAirGapPublicKey) (struct LSConfiguration *self, const char *airGapKey)

Definition at line 64 of file Configuration.h.

## ◆ getOsVersion

const char *(* LSConfiguration::getOsVersion) (struct LSConfiguration *self)

Definition at line 66 of file Configuration.h.

## ◆ getHostName

const char *(* LSConfiguration::getHostName) (struct LSConfiguration *self)

Definition at line 68 of file Configuration.h.

## ◆ getIP

const char *(* LSConfiguration::getIP) (struct LSConfiguration *self)

Definition at line 70 of file Configuration.h.

## ◆ getMAC

const char *(* LSConfiguration::getMAC) (struct LSConfiguration *self)

Definition at line 72 of file Configuration.h.

## ◆ isVMDetectionEnabled

bool(* LSConfiguration::isVMDetectionEnabled) (struct LSConfiguration *self)

Definition at line 74 of file Configuration.h.

## ◆ isVM

bool(* LSConfiguration::isVM) (struct LSConfiguration *self)

Definition at line 76 of file Configuration.h.

## ◆ getDetectedVMName

const char *(* LSConfiguration::getDetectedVMName) (struct LSConfiguration *self)

Definition at line 78 of file Configuration.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/C-interface/Configuration.h